@@%MailMc
include(`/etc/mail/tls/starttls.m4')dnl
include(`/etc/mail/sasl/sasl.m4')dnl
MASQUERADE_AS(`@@DOMAIN@@')dnl
FEATURE(`masquerade_envelope')dnl
FEATURE(`allmasquerade')dnl
FEATURE(limited_masquerade)dnl
FEATURE(masquerade_entire_domain)dnl
MASQUERADE_DOMAIN_FILE(`/etc/mail/masquerade-domain-names')dnl
FEATURE(`virtusertable')dnl
FEATURE(`genericstable')dnl
dnl define forward path (http://books.google.com/books?id=suAWPlJa_1AC&pg=PA355&lpg=PA355&dq=FORWARD_PATH+sendmail&source=web&ots=WjoJXy8RA6&sig=xm7bfJ3khjPCZ1N7E-Xprrccnho&hl=en&sa=X&oi=book_result&resnum=7&ct=result)
define(`confFORWARD_PATH',`/etc/mail/forward/$u')dnl
dnl
dnl LLL specific stuff
define(`confCONNECTION_RATE_THROTTLE', `3')dnl
dnl
dnl  use procmail for local mail delivery. the exact pathname is given above.
dnl
FEATURE(`local_procmail')dnl
dnl Settings recommended by http://sendmail.net/?feed=dostips
dnl
define(`confMIN_FREE_BLOCKS', `4000')dnl
define(`confMAX_MESSAGE_SIZE', 16000000)dnl
define(`confREFUSE_LA', 8)dnl
dnl
dnl MAX_DAEMON_CHILDREN recommended is 40 for 128MB of Ram: take half of
dnl it, as lots of other stuff is running on Pollux too
define(`confMAX_DAEMON_CHILDREN', 12)dnl
dnl define(`confMAX_HEADERS_LENGTH', 32)dnl Not supported yet
define(`confMAX_MIME_HEADER_LENGTH', 1024)dnl
define(`confMAX_RCPTS_PER_MESSAGE', 100)dnl
define(`confDOMAIN_NAME',`@@DOMAIN@@')dnl
define(`ORIG_confMILTER_MACROS_ENVFROM', confMILTER_MACROS_ENVFROM)
define(`confMILTER_MACROS_ENVFROM', `ORIG_confMILTER_MACROS_ENVFROM, `{popauth}, {verify}'')
INPUT_MAIL_FILTER(`mimedefang', `S=unix:/var/spool/MIMEDefang/mimedefang.sock, T=S:1m;R:1m')dnl

define(`POP_B4_SMTP_TAG',`')dnl
define(`POP_B4_SMTP_ISAUTH',`')dnl
HACK(`popauth')dnl

define(`NO_SRS_FILE',` /etc/mail/no-srs-mailers')dnl
define(`NO_SRS_FROM_LOCAL')dnl
define(`SRS_DOMAIN',`@@DOMAIN@@')dnl
HACK(`srs')dnl

dnl Local domain name
define(`confDOMAIN_NAME',`@@DOMAIN@@')dnl

dnl Alias file for mailman
define(`ALIAS_FILE', `/etc/mail/aliases,/etc/mail/mailman.aliases')dnl

define(`USE_CW_FILE',`true')dnl

dnl Switch off Authd
define(`confTO_IDENT',`0')dnl
